CREATE TABLE SIMULATION.AUX_TASK_SUMMARY
  (RTM_SIM_SESSION_ID INTEGER NOT NULL,
   CASE_INDEX INTEGER NOT NULL,
   MATCHED_CASE_INDEX INTEGER NOT NULL,
   COMPLETION_STATUS SMALLINT NOT NULL,
   RTM_TASK_ID INTEGER NOT NULL,
   RTM_TOP_PROCESS_ID INTEGER NOT NULL,
   PRX_TASK_ID INTEGER NOT NULL,
   SCHEDULED_START_TIME BIGINT NOT NULL,
   START_TIME BIGINT NOT NULL,
   END_TIME BIGINT NOT NULL,
   PROCESS_FLAG SMALLINT NOT NULL,
   IDLE_TIME_COST DOUBLE NOT NULL,
   EXECUTION_COST DOUBLE NOT NULL,
   REVENUE DOUBLE NOT NULL,
   RESOURCE_DURATION BIGINT NOT NULL,
   RESOURCE_ALLOC_COST DOUBLE NOT NULL);

ALTER TABLE SIMULATION.AUX_TASK_SUMMARY
  ADD CONSTRAINT C4332291 PRIMARY KEY (RTM_SIM_SESSION_ID, RTM_TASK_ID, COMPLETION_STATUS);

CREATE TABLE SIMULATION.AUX_PROCESS_CASES_SUMMARY_2
  (RTM_SIM_SESSION_ID INTEGER NOT NULL,
   CASE_INDEX INTEGER NOT NULL,
   PRX_TASK_ID INTEGER NOT NULL,
   AVG_TASK_COST DOUBLE NOT NULL,
   AVG_TASK_DURATION BIGINT NOT NULL,
   AVG_TASK_WORKING_DURATION BIGINT NOT NULL,
   AVG_TASK_DELAY_DURATION BIGINT NOT NULL,
   AVG_TASK_RESOURCE_DURATION BIGINT NOT NULL,
   PROCESS_FLAG SMALLINT NOT NULL,
   TASK_QUALIFIED_NAME VARCHAR(512) NOT NULL);

ALTER TABLE SIMULATION.AUX_PROCESS_CASES_SUMMARY_2
  ADD CONSTRAINT C0369866 PRIMARY KEY (RTM_SIM_SESSION_ID, CASE_INDEX, PRX_TASK_ID);


UPDATE SIMULATION.SYS_AUX_KEY_VALUE
    SET KEY_VALUE = 1
  WHERE KEY_NAME = 'VERSION_SUB_MINOR'
    AND KEY_VALUE = 0;